Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/IndexedItemDistance.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/IndexedItemDistance.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/IndexedItemDistance.cs	(revision 16474)
@@ -33,6 +33,9 @@
 
     #region HLConstructors & Cloning
+
     [StorableConstructor]
-    protected IndexedItemDistance(StorableConstructorFlag _) : base(_) { }
+    protected IndexedItemDistance(StorableConstructorFlag _) : base(_) {
+    }
+
     protected IndexedItemDistance(IndexedItemDistance<T> original, Cloner cloner) : base(original, cloner) {
       dist = cloner.Clone(original.dist);
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/IConstraint.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 16474)
@@ -22,6 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("070af09a-c6b5-4f2b-be2e-4c2c6732febd")]
   public interface IConstraint : IItem {
     bool Active { get; set; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionState.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionState.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionState.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("ad36dbde-a72c-43ad-8bb4-67aaaef34b72")]
   public enum ExecutionState {
     Prepared,
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs	(revision 16474)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("6d358590-409c-4fbb-944a-01f8e99be025")]
   public interface IArc : IItem {
     IVertex Source { get; }
@@ -33,5 +35,6 @@
   }
 
-  public interface IArc<T> : IArc where T : class,IDeepCloneable {
+  [StorableType("4acdc291-84ea-4da3-95b8-046f973db256")]
+  public interface IArc<T> : IArc where T : class, IDeepCloneable {
     T Data { get; set; }
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs	(revision 16474)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("e79c962e-b662-4502-bc32-cac6a83e4e83")]
   public interface IDirectedGraph : IItem {
     IEnumerable<IVertex> Vertices { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs	(revision 16474)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("f7a3227e-17b9-4af6-bf6d-0801cbdca286")]
   public interface IVertex : IItem {
     IEnumerable<IArc> InArcs { get; }
@@ -44,4 +46,5 @@
   }
 
+  [StorableType("f856ed8e-1259-4949-9784-78f1f4da1abb")]
   public interface IVertex<T> : IVertex where T : class, IDeepCloneable {
     T Data { get; set; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("b1adf07a-2e52-4fc3-9975-813a391cd940")]
   /// <summary>
   /// Interface which represents an atomic operation.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs	(revision 16474)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("2703977d-5991-4491-a2e5-a98914a45b34")]
   public interface ICheckedItemCollection<T> : IItemCollection<T> where T : class, IItem {
     event CollectionItemsChangedEventHandler<T> CheckedItemsChanged;
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs	(revision 16474)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("ba4a82ca-92eb-47a1-95a7-f41f6ef470f4")]
   public interface ICheckedItemList<T> : IItemList<T> where T : class, IItem {
     event CollectionItemsChangedEventHandler<IndexedItem<T>> CheckedItemsChanged;
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs	(revision 16474)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,5 +23,6 @@
 
 namespace HeuristicLab.Core {
-  public interface ICheckedMultiOperator<T> : IMultiOperator<T> where T : class,IOperator {
+  [StorableType("c6eee993-706f-4390-bfac-1f779e45c448")]
+  public interface ICheckedMultiOperator<T> : IMultiOperator<T> where T : class, IOperator {
     new ICheckedItemList<T> Operators { get; }
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("10644c62-bd66-440d-8204-d0c724c9f109")]
   public interface IConstrainedValueParameter<T> : IValueParameter<T> where T : class, IItem {
     IItemSet<T> ValidValues { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IEngine.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IEngine.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IEngine.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("b87dd8e0-dbcd-4b7c-80cc-25e2890e46ad")]
   public interface IEngine : IExecutable {
     ILog Log { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs	(revision 16474)
@@ -24,6 +24,8 @@
 using System.Threading.Tasks;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("cd8822ef-1e2d-4aa1-ad33-7ec7546610f3")]
   public interface IExecutable : IItem {
     ExecutionState ExecutionState { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("90ba79ce-8166-4cc2-8871-0653b4dd59cc")]
   /// <summary>
   /// Interface which represents an execution context.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs	(revision 16474)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("f4b80054-f730-44c0-a0b9-35ab27cf29a2")]
   public interface IFixedValueParameter : IValueParameter {
     new IItem Value { get; }
@@ -26,4 +28,5 @@
   }
 
+  [StorableType("93b6ff11-134d-4486-b9bf-9c6802ef3885")]
   public interface IFixedValueParameter<T> : IFixedValueParameter, IValueParameter<T> where T : class, IItem {
     new T Value { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IInstrumentedOperator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IInstrumentedOperator.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IInstrumentedOperator.cs	(revision 16474)
@@ -23,6 +23,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("cf88d332-a2bb-4a6b-89df-2a6b858e09c7")]
   public interface IInstrumentedOperator : IOperator {
     IEnumerable<IOperator> BeforeExecutionOperators { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItem.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItem.cs	(revision 16474)
@@ -23,6 +23,8 @@
 using System.Drawing;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("fc5d4359-76da-406b-b445-72d4f9b2277d")]
   /// <summary>
   /// Interface to represent (almost) every HeuristicLab object (an object, an operator,...).
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("f736943c-5b43-4c98-9128-304c794b931e")]
   public interface IItemArray<T> : IObservableArray<T>, IItem where T : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("9caf496c-e514-4280-bcc1-3ee092999129")]
   public interface IItemCollection<T> : IObservableCollection<T>, IItem where T : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 16474)
@@ -21,8 +21,10 @@
 
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("7d77d9e1-bce1-4546-9efd-62834ea85d1c")]
   public interface IItemDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue>, IItem
-    where TKey : class, IItem
-    where TValue : class, IItem { }
+      where TKey : class, IItem
+      where TValue : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemList.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemList.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemList.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("466747d2-6a73-495b-ac68-7b0199d0f830")]
   public interface IItemList<T> : IObservableList<T>, IItemCollection<T>, IItem where T : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("fda265c8-8012-4c0c-a6c5-aa6842287691")]
   public interface IItemSet<T> : IObservableSet<T>, IItemCollection<T>, IItem where T : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("17d0c55d-3fc0-48e8-8c6a-64b5362dabf3")]
   public interface IKeyedItemCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem>, IItemCollection<TItem>, IItem where TItem : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILog.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILog.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILog.cs	(revision 16474)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("a4d1e626-50c1-422e-ad76-5a0182bd9491")]
   public interface ILog : IItem {
     IEnumerable<string> Messages { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("78e29fa3-e603-4a2e-a3e0-2dee459891f1")]
   public interface ILookupParameter : IParameter {
     string ActualName { get; set; }
@@ -30,4 +32,5 @@
   }
 
+  [StorableType("61868c33-20be-4577-94bf-7efff9e9cf73")]
   public interface ILookupParameter<T> : ILookupParameter where T : class, IItem {
     new T ActualValue { get; set; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs	(revision 16474)
@@ -22,6 +22,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("31136bcb-7c35-404d-bae7-2f9c5f17b767")]
   public interface IMultiOperator : IOperator {
     IEnumerable<IOperator> Operators { get; }
@@ -29,5 +31,7 @@
     bool RemoveOperator(IOperator op);
   }
-  public interface IMultiOperator<T> : IMultiOperator where T : class,IOperator {
+
+  [StorableType("b2f95075-48df-43c8-b4a9-e404e357fabd")]
+  public interface IMultiOperator<T> : IMultiOperator where T : class, IOperator {
     new IItemList<T> Operators { get; }
   }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/INamedItem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/INamedItem.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/INamedItem.cs	(revision 16474)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("4337aaa9-688c-43cb-b980-463cb1704e31")]
   public interface INamedItem : IItem {
     string Name { get; set; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperation.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperation.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperation.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("72828f38-f8f6-48cd-b792-b415f3e70524")]
   /// <summary>
   /// Interface which represents an operation.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperator.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperator.cs	(revision 16474)
@@ -22,6 +22,8 @@
 using System;
 using System.Threading;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("c9c72e72-ad11-4683-a66f-7da5436990c7")]
   /// <summary>
   /// Interface to represent an operator.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs	(revision 16474)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 
 /* HeuristicLab
@@ -23,4 +24,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("00fd73de-0a22-44f1-9f0b-c286a873dac8")]
   public interface IOperatorGraphOperator : IOperator {
     OperatorGraph OperatorGraph { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameter.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("3fea6f51-6bb0-4bb5-a113-d071e2fe3b8c")]
   public interface IParameter : INamedItem {
     Type DataType { get; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("5d65ecdc-1659-488c-8a6f-0f630a2deeef")]
   /// <summary>
   /// An interface which represents an item which contains parameters.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameterizedNamedItem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameterizedNamedItem.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameterizedNamedItem.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("c0d522cc-b7ce-4db6-9e93-0c8d158fb465")]
   /// <summary>
   /// An interface which represents an item which has a name and contains parameters.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs	(revision 16474)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("31aa1ebe-3c5b-4855-847c-54ab86729474")]
   public interface IProgrammableItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IRandom.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IRandom.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IRandom.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("a25f7f50-5838-4312-862d-9ad950b616c5")]
   /// <summary>
   /// Represents an interface for random number generators.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScope.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScope.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScope.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("450b2586-6164-4f3a-9acc-65a0f3442c9e")]
   /// <summary>
   /// Hierarchical container of variables (and of subscopes).
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("5710751f-6af8-4bc8-b517-97218cb30d22")]
   public interface IScopeTreeLookupParameter : ILookupParameter {
     int Depth { get; set; }
@@ -28,4 +30,5 @@
   }
 
+  [StorableType("4a2fead8-d21c-49a0-b1f3-aece5fd99407")]
   public interface IScopeTreeLookupParameter<T> : IScopeTreeLookupParameter, ILookupParameter<ItemArray<T>> where T : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs	(revision 16474)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("77e612a6-38e3-4075-9aac-17ef16c8cfe5")]
   public interface IStatefulItem : IItem {
     void InitializeState();
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,6 +22,8 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("d125528a-dfaa-46b1-9a5f-9a6443b7229c")]
   public interface IValueLookupParameter : IValueParameter, ILookupParameter { }
 
+  [StorableType("ed351d54-ee70-4f9f-8187-7507dcaeb919")]
   public interface IValueLookupParameter<T> : IValueLookupParameter, IValueParameter<T>, ILookupParameter<T> where T : class, IItem { }
 }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("e4920b59-6bf5-4c43-997c-7f5434cd98d2")]
   public interface IValueParameter : IParameter {
     IItem Value { get; set; }
@@ -30,4 +32,5 @@
   }
 
+  [StorableType("645945d2-9cd7-45cd-8507-575b2ed53de4")]
   public interface IValueParameter<T> : IValueParameter where T : class, IItem {
     new T Value { get; set; }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IVariable.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IVariable.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IVariable.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("f2bc871d-5bc4-4584-8dc4-db0ea7fb5b15")]
   /// <summary>
   /// Represents a variable which has a name and holds an IItem.
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/PersistenceContentManager.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/PersistenceContentManager.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/PersistenceContentManager.cs	(revision 16474)
@@ -24,6 +24,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
+  [StorableType("72eb913e-a3cf-439e-a1ab-c5539a93fd48")]
   public class PersistenceContentManager : ContentManager {
     public PersistenceContentManager() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Data/3.3/ComparisonType.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 16474)
@@ -1,2 +1,3 @@
+using HEAL.Fossil;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Data {
+  [StorableType("7438132e-ed9d-47ef-9e29-278b0e4ca048")]
   public enum ComparisonType {
     Less,
Index: branches/2520_PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 16472)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 16474)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Common;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Data {
+  [StorableType("27217641-0839-4757-b8f6-6422114b096d")]
   public interface IStringConvertibleArray : IContent, IValueTypeArray {
     bool Validate(string value, out string errorMessage);
